﻿using Infragistics.Controls;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamZoombarTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamZoombar_Loaded(object sender, RoutedEventArgs e)
        {
            XamZoombar zoom = sender as XamZoombar;

            ContentControl right = Utilities.GetDescendantFromName(zoom, "HorizontalScaleRightElement") as ContentControl;
            ContentControl left = Utilities.GetDescendantFromName(zoom, "HorizontalScaleLeftElement") as ContentControl;

            right.ToolTip = "RIGHT";
            left.ToolTip = "LEFT";
        }
    }
}
